Package com.independentsoft.office.charts

# Class PieChart

java.lang.Object
com.independentsoft.office.charts.Chart
com.independentsoft.office.charts.PieChart

public class PieChart extends Chart
The Class PieChart.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PieChart()`
  Instantiates a new pie chart.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PieChart`
  `clone()`
  `DataLabels`
  `getDataLabels()`
  Gets the data labels.
  `int`
  `getFirstSliceAngle()`
  Gets the first slice angle.
  `List<PieChartSerie>`
  `getSeries()`
  Gets the series.
  `boolean`
  `hasVaryColors()`
  Checks for vary colors.
  `void`
  `setDataLabels​(DataLabels dataLabels)`
  Sets the data labels.
  `void`
  `setFirstSliceAngle​(int firstSliceAngle)`
  Sets the first slice angle.
  `void`
  `setVaryColors​(boolean varyColors)`
  Sets the vary colors.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PieChart

    public PieChart()
    Instantiates a new pie chart.

- ## Method Details

  - ### clone

    public PieChart clone()
    Specified by:
      `clone` in class `Chart`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDataLabels

    public DataLabels getDataLabels()
    Gets the data labels.
    Returns:
      the data labels

  - ### setDataLabels

    public void setDataLabels​(DataLabels dataLabels)
    Sets the data labels.
    Parameters:
      `dataLabels` - the new data labels

  - ### getFirstSliceAngle

    public int getFirstSliceAngle()
    Gets the first slice angle.
    Returns:
      the first slice angle

  - ### setFirstSliceAngle

    public void setFirstSliceAngle​(int firstSliceAngle)
    Sets the first slice angle.
    Parameters:
      `firstSliceAngle` - the new first slice angle

  - ### getSeries

    public List<PieChartSerie> getSeries()
    Gets the series.
    Returns:
      the series

  - ### hasVaryColors

    public boolean hasVaryColors()
    Checks for vary colors.
    Returns:
      true, if successful

  - ### setVaryColors

    public void setVaryColors​(boolean varyColors)
    Sets the vary colors.
    Parameters:
      `varyColors` - the new vary colors